"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wordBoundary = exports.startOfString = exports.notWordBoundary = exports.nonWordBoundary = exports.endOfString = void 0;
const startOfString = exports.startOfString = {
  type: 'anchor',
  symbol: '^',
  encode: encodeAnchor
};
const endOfString = exports.endOfString = {
  type: 'anchor',
  symbol: '$',
  encode: encodeAnchor
};
const wordBoundary = exports.wordBoundary = {
  type: 'anchor',
  symbol: '\\b',
  encode: encodeAnchor
};
const nonWordBoundary = exports.nonWordBoundary = {
  type: 'anchor',
  symbol: '\\B',
  encode: encodeAnchor
};

/**
 * @deprecated Renamed to `nonWordBoundary`.
 */
const notWordBoundary = exports.notWordBoundary = nonWordBoundary;
function encodeAnchor() {
  return {
    precedence: 'sequence',
    pattern: this.symbol
  };
}
//# sourceMappingURL=anchors.js.map