"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.escapeText = escapeText;
// Source: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Regular_expressions#escaping
function escapeText(text) {
  return text.replace(/[.*+?^${}()|[\]\\]/g, '\\$&'); // $& means the whole matched string
}
//# sourceMappingURL=text.js.map