import type { RegexConstruct } from '../types';
export interface Anchor extends RegexConstruct {
    type: 'anchor';
    symbol: string;
}
export declare const startOfString: Anchor;
export declare const endOfString: Anchor;
export declare const wordBoundary: Anchor;
export declare const nonWordBoundary: Anchor;
/**
 * @deprecated Renamed to `nonWordBoundary`.
 */
export declare const notWordBoundary: Anchor;
//# sourceMappingURL=anchors.d.ts.map