/// <reference types="jest" />
import type { RegexSequence } from '../src/types';
export declare function toMatchAllGroups(this: jest.MatcherContext, received: RegExp | RegexSequence, expectedString: string, expectedGroups: string[]): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toMatchAllGroups(input: string, expected: string[][]): R;
        }
    }
}
//# sourceMappingURL=to-match-all-groups.d.ts.map