/// <reference types="jest" />
import type { RegexSequence } from '../src/types';
export declare function toMatchGroups(this: jest.MatcherContext, received: RegExp | RegexSequence, inputText: string, expectedGroups: string[]): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toMatchGroups(inputText: string, expectedGroups: string[]): R;
        }
    }
}
//# sourceMappingURL=to-match-groups.d.ts.map