/// <reference types="jest" />
import type { RegexSequence } from '../src/types';
export declare function toMatchString(this: jest.MatcherContext, received: RegExp | RegexSequence, expected: string): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toMatchString(expected: string): R;
        }
    }
}
//# sourceMappingURL=to-match-string.d.ts.map