/// <reference types="jest" />
import type { RegexSequence } from '../src/types';
export declare function toEqualRegex(this: jest.MatcherContext, received: RegExp | RegexSequence, expected: RegExp | string): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toEqualRegex(expected: RegExp | string): R;
        }
    }
}
//# sourceMappingURL=to-equal-regex.d.ts.map