/// <reference types="jest" />
import type { RegexSequence } from '../src/types';
export declare function toMatchAllNamedGroups(this: jest.MatcherContext, received: RegExp | RegexSequence, inputText: string, expectedGroups: Array<Record<string, string>>): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toMatchAllNamedGroups(inputText: string, expectedGroups: Array<Record<string, string>>): R;
        }
    }
}
//# sourceMappingURL=to-match-all-named-groups.d.ts.map