/// <reference types="jest" />
import type { RegexSequence } from '../src/types';
export declare function toMatchNamedGroups(this: jest.MatcherContext, received: RegExp | RegexSequence, inputText: string, expectedGroups: Record<string, string>): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toMatchNamedGroups(inputText: string, expectedGroups: Record<string, string>): R;
        }
    }
}
//# sourceMappingURL=to-match-named-groups.d.ts.map